Loading...
Searching...
No Matches
pcl::cuda::convert_point_to_float3 Struct Reference

Simple kernel to convert a PointXYZRGB to float3. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/eigen.h>`

## Public Member Functions

__inline__ __host__ __device__ float3 | operator() (const PointXYZRGB &pt)

## Detailed Description

Simple kernel to convert a PointXYZRGB to float3.

Relies the cast operator of PointXYZRGB.

Definition at line 457 of file eigen.h.

## Member Function Documentation

## operator()()

__inline__ __host__ __device__ float3 pcl::cuda::convert_point_to_float3::operator() | ( | const PointXYZRGB & | pt | ) |

inline

Definition at line 460 of file eigen.h.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/eigen.h